Bug 355981 - (poker3d-data) Review Request: poker3d-data - Data files for the poker3d package
Review Request: poker3d-data - Data files for the poker3d package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: poker3d
  Show dependency treegraph
 
Reported: 2007-10-28 15:20 EDT by Christopher Stone
Modified: 2009-08-03 11:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 17:14:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-10-28 15:20:25 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker3d-data.spec
SRPM URL: http://64.71.155.133/poker3d-data-1.1.36-1.fc7.src.rpm

Description:
Data files for the poker3d package.
Comment 1 Hans de Goede 2007-11-06 15:48:29 EST
I'll review this. Here are some MUST Fix and Should Fix from a first
semi-thorough look:

Must Fix:
---------
* Source0 URL is invalid
Comment 2 Hans de Goede 2007-11-06 15:52:33 EST
One more remark:

Must Fix:
---------
* Must have a "Requires: poker3d >= %{version}", so that yum will remove the data
  when the users says "yum remove poker3d"
Comment 3 Christopher Stone 2007-11-06 16:49:08 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker3d-data.spec
SRPM URL: http://64.71.155.133/poker3d-data-1.1.36-2.fc7.src.rpm

%changelog
* Tue Nov 06 2007 Christopher Stone <chris.stone@gmail.com> 1.1.36-2
- Fix Source0 URL
- Add requires for poker3d package
Comment 4 Hans de Goede 2007-11-07 10:34:48 EST
I've done a full review, and I see no problems, except ... That I cannot find a
reference to under which license the datafiles are available anywhere. I've
tried upstreams website, etc. Can you either point me to some place where
upstream declares this is GPL, or ask them by mail to confirm this is GPL?
Comment 5 Christopher Stone 2007-11-07 12:00:22 EST
There is a copyright file here:
http://3dprod.pokersource.info/farms/poker3d-data/debian/copyright
Comment 6 Hans de Goede 2007-11-07 14:26:00 EST
Yeah, I already found that, but thats a bit vague / contains no clear link to
the data files. Can you ask them to send you a mail in which they explicitly
state that _all_ data files in the poker3d-data tar.gz are under the GPL?

Then save that mail and add it as copyright.eml to %doc. Sorry to be a pita
about this, but the current situation is just a bit to grey-ish to me.
Comment 7 Christopher Stone 2007-11-15 13:14:01 EST
Perhaps I can just add
http://3dprod.pokersource.info/farms/poker3d-data/debian/copyright to the %doc
of the package.  I'm not sure if the GPL'd version has been officially released
or if we need to wait for an official release.  I've asked Loic to respond to
this bug.
Comment 8 Loic Dachary 2007-11-15 13:15:49 EST
All files in the package are under the GNU/GPL, yes. 
Comment 9 Hans de Goede 2007-11-15 13:32:23 EST
(In reply to comment #8)
> All files in the package are under the GNU/GPL, yes. 

OK thats good enough for me, APPROVED!
Comment 10 Christopher Stone 2007-11-15 14:20:29 EST
New Package CVS Request
=======================
Package Name: poker3d-data
Short Description: Data files for the poker3d package
Owners: xulchris
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 11 Christopher Stone 2007-11-15 14:22:42 EST
oops, I think we will have time to go ahead and make an FC-6 build as well.
Adding FC-6 branch to request:

New Package CVS Request
=======================
Package Name: poker3d-data
Short Description: Data files for the poker3d package
Owners: xulchris
Branches: FC-6 F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2007-11-15 19:19:00 EST
Sorry. FC-6 branches are no longer allowed (as of the release of F-8). :( 

Otherwise, cvs done. 
Comment 13 Christopher Stone 2007-11-16 17:14:48 EST
Build successful, thanks for the review!
http://koji.fedoraproject.org/koji/taskinfo?taskID=245307
Comment 14 Miroslav Grepl 2009-08-03 11:11:33 EDT
*** Bug 515188 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.